;;;;;;CREAREMOS LAS VARIABLES GLOBALES QUE ESTARAN PRESENTES EN TODO EL MODELO;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

globals [
          deterioro ;; despues de cierto tiempo, influira para el cambio de uso


          ]

;;;;;;LE DAREMOS LAS PROPIEDADES A LOS PATCHES PARA LA INTERACCION;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

patches-own [ suelo           ;; Es lo que se va a modelar en la interaccion entre las predominacion de las
                              ;; densidades
              vivienda        ;; Suelo residencial, toma en cuenta la mayor densidad como se establecen y obtienen del ITER
              comercios       ;; Suelo comercial, con una densidad mayor en el ocurren las diferentes actividades comerciales que se obtienen en el DENUE
              servicio        ;; Suelo servicios, en el se tienen las actividades economicas diferentes de las comerciales con base en el DENUE
              num-viviendas   ;; Numero de viviendas alrededor de un patche
              num-comercios   ;; Numero de comercios alrededor de un patche
              num-servicios   ;; Numero de servicios alrededor de un patche
              muydeteriorado? ;; Grado de deteorioro de los patches de vivienda y comercio en los cuales afectara para que se transformen en otros patches
              densidad        ;; Proporcion de los suelos en los patches, tomara en cuenta el que predomine en el patch
              amenidades      ;; Serviran  para determinar en algunos casos si afectan o  no para que cambien o se mantenga del mismo tipo
              edad
              nuevo_suelo           ;; De los patches afecten aunque no esten cerca de otros suelos pueda cambiar de uso
              contagio
              predominio]

to setup

  clear-all
  reset-ticks

ask patches [


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;; Se crearan patches con cierto numero de viviendas, servicio y comercios. ;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  set vivienda abs round random-normal  65.9482 53.4981
  set comercios  abs round random-normal 47.6852 35.8731
  set servicio abs round random-normal  53.6741 40.4129

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; se determinara el suelo predominante y se obtiene una cierta densidad;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  if vivienda > comercios and vivienda > servicio  [set pcolor red   set suelo "vivienda"  set densidad vivienda / (vivienda + comercios + servicio)]
  if comercios > vivienda and comercios > servicio [set pcolor green set suelo "comercios" set densidad comercios / (vivienda + comercios + servicio)]
  if servicio > vivienda and servicio > comercios  [set pcolor blue  set suelo "servicio"  set densidad servicio / (vivienda + comercios + servicio)]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;Las variables para operacionalizar el modelo;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  if suelo = 0 [set pcolor red set suelo "vivienda" set densidad .1 ]

  set muydeteriorado? abs round random-float 100
  set edad abs round  random-normal   70 10
  set amenidades  abs round random-float 10

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;; Contara las celdas alrededor por los vecindarios;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 set num-comercios count neighbors with  [ suelo = "comercios" ]  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 set num-viviendas count neighbors with  [ suelo = "vivienda"  ]  ;;;;Vecindarios tipo Moore;;;;;
 set num-servicios count neighbors with  [ suelo = "servicio"  ]  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


]

end

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;Procedimiento GO;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;





to go

    ask-concurrent patches with [suelo = "vivienda"] [ if num-comercios > 1 and muydeteriorado? >= 60
 [set pcolor green set nuevo_suelo "comercios"]]

    ask-concurrent patches with [suelo = "comercios"] [if num-viviendas > 1 and densidad >= 0.3
 [set pcolor red set nuevo_suelo "vivienda"]]

    ask-concurrent patches with [suelo = "servicio"] [if num-viviendas  > 1 and densidad >= 0.3
 [set pcolor red set nuevo_suelo "vivienda"]]

  ask-concurrent patches with [suelo = "comercios"] [if num-servicios > 1 and densidad >= 0.3
 [set pcolor blue set nuevo_suelo "servicio"]]

 ask-concurrent patches with [suelo = "vivienda"] [if num-servicios > 1
   and muydeteriorado? >= 60 ;;
 [set pcolor blue set nuevo_suelo "servicio"]]

ask-concurrent patches with [suelo  = "servicio"] [if num-comercios > 2 and densidad >= 0.3
 [set pcolor green set nuevo_suelo "comercios"]]




set-current-plot "Cambio_uso_suelo"

set-current-plot-pen "vivienda"
plot count patches with [ nuevo_suelo = "vivienda" ]

set-current-plot-pen "comercios"
plot count patches with [ nuevo_suelo = "comercios"]

set-current-plot-pen "servicio"
plot count patches with [ nuevo_suelo = "servicio" ]



tick







end
@#$#@#$#@
GRAPHICS-WINDOW
210
10
624
445
50
50
4.0
1
10
1
1
1
0
1
1
1
-50
50
-50
50
0
0
1
ticks
30.0

BUTTON
24
36
87
69
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
25
91
85
136
servicios
count patches with [pcolor = blue]
17
1
11

MONITOR
108
90
177
135
residencia
count patches with [pcolor = red]
17
1
11

MONITOR
26
153
88
198
comercio
count patches with [pcolor = green ]
17
1
11

BUTTON
108
38
171
71
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
690
11
1051
293
Cambio_uso_suelo
tiempo
suelos
0.0
100.0
0.0
100.0
true
true
"" ""
PENS
"vivienda" 1.0 0 -2674135 true "" "plot count patches with [ nuevo_suelo = \"vivienda\"]"
"comercios" 1.0 0 -12087248 true "" "plot count patches with [ nuevo_suelo = \"comercios\"]"
"servicio" 1.0 0 -13345367 true "" "plot count patches with [ nuevo_suelo = \"servicio\" ]"

MONITOR
782
317
842
362
servicios
count patches with [ nuevo_suelo = \"servicio\" ]
17
1
11

MONITOR
861
319
928
364
comercios
count patches with [ nuevo_suelo = \"comercios\" ]
17
1
11

MONITOR
701
323
766
368
viviendas
count patches with [ nuevo_suelo = \"vivienda\"]
17
1
11

@#$#@#$#@
## ¿Qué es?

Es un análisis mediante autómatas celulares que examinara la dinámica de los cambios de uso de suelo en la Colonia Roma a través de unas reglas que operacionalizaran estas transformaciones. El mundo representa un espacio geográfico en este caso una colonia en el cual se lleven a cabo estos cambios de vocación. Las celdas toman las características de los diferentes tipos de suelo: comercio, vivienda y servicios.
Como base para respaldar este fenómeno se tiene al DENUE y el ITER de la INEGI que lleva el conteo anual de comercios, servicios y  por parte de la vivienda con un censo que se levanta cada 5 años con el fin de analizar cómo han ido interactuando.

Para hacer el análisis las celdas en este caso los suelos contaran con un nivel aleatorio de deterioro, edad y densidad estas tomadas por un contexto histórico de la colonia y  las cuales ayudan a examinar si les conviene cambiar o mantenerse en el mismo tipo.


## ¿Cómo funciona?

Cada celda toma la característica de los suelos, después las reglas se operan de la siguiente manera: contara  los números de suelo que estén alrededor de cada uno, y si encuentra más  de un tipo y añadiendo el nivel de deterioro u edad efectuara el cambio. Para hacer más dinámico se utilizaran los tipos de vecindario neighbors y neihbors4 el cual por nivel de información que obtiene se efectuaran los cambios.

## ¿Cómo se utiliza?

Cuando se inicializa el modelo el botón SETUP generara las celdas de los suelos con cantidades aleatorias de densidad, deterioro, amenidades, contara los suelos que rodean a cada celda.

Los deslizadores se utilizaran para determinar la cantidad de suelos que interactúen en el mundo, con el GO se empezara el intercambio de información y cambien de vocación que tenían originalmente.

## Características a destacar

La interacción que existe entre los  suelos y ver si existe una predominación, llegar a observar si queda  solo un tipo de suelo en los pasos de tiempo.

## Sugerencias para intentar

Para hacer más dinámico el modelo añadir más variables y condicionales  con las cuales esté relacionado el cambio de suelo, como determinar la cantidad de amenidades que influyan en el cambio, aumentar el nivel de deterioro cuando transcurran ciertos pasos en el tiempo.

## Extendiendo el modelo

Explicado anteriormente, añadir nuevas reglas para que sea más interactivo el cambio en los suelos, ver cómo se comporta en los pasos del tiempo y ver si crea una clase de predominio.

## Características en Netlogo

Como se mencionó anteriormente se analizara la interacción a través de vecindarios ya sea por  neighbors (Moore) y neighbors4 (Von Neumann) con el fin de ver las diferentes maneras en las que la interrelaciona la relación e inicie la transformación.

## Modelos relacionados

Se tomó como base la investigación de White,R y Engel, G "Cellular automata as the basis of integrated dynamic regional modelling"

Se tomó referencia de los modelos "Game of life" de John Horton  Conway, "Altruism" y "Brian´s Brain" de Wilensky

## Créditos y referencias


* Wilensky, U. (1998).  NetLogo Life model.  http://ccl.northwestern.edu/netlogo/models/Life.  Center for Connected Learning and Computer-Based Modeling, Northwestern University, Evanston, IL.

* Wilensky, U. (1998).  NetLogo Altruism model.  http://ccl.northwestern.edu/netlogo/models/Altruism.  Center for Connected Learning and Computer-Based Modeling, Northwestern University, Evanston, IL.

* Wilensky, U. (2002).  NetLogo Brian's Brain model.  http://ccl.northwestern.edu/netlogo/models/Brian'sBrain.  Center for Connected Learning and Computer-Based Modeling, Northwestern University, Evanston, IL.

* White, R. (1997): “Cities and Cellular Automata” in Discrete Dynamics in Nature and Society, Vol 2, pp. 111-125
* White, R. y Engelen, G. (1993): “Cellular automata and fractal urban form: a celular modelling approach to the evolution of urban land-use patterns” in Environment and Planning,  Vol 25, pp. 1175-1199
* White, R y Engelen, G. (1997): “Cellular automata as the basis of integrated dynamic regional modelling” in  Environment and Planning, Vol 24. pp. 235-246
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.3.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go</go>
    <metric>count turtles</metric>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
